Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## things.thinger.kernel
Enum Clearance

    java.lang.Object
      java.lang.Enum<Clearance>
          things.thinger.kernel.Clearance

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Clearance>

    public enum Clearance

extends java.lang.Enum<Clearance>

Clearance management. These define security levels used by the Kernel, Universes, and other services.

Version:
  1.0

  Version History

       EPG - Initial - 13 FEB 06
       EPG - Break out from PCB - 15 DEC 06

Author:
  Erich P. Gatejen

Enum Constant Summary
`ELITE`
`EXCLUSIVE`
`EXTREME`
`FLOOR` Security level definition for a process is the CLEARANCE.
`OFFICIAL`
`PRIVATE`
`PRIVILEGED`
`PUBLIC`
`RESTRICTED`
`SECRET`
`SENSITIVE`
`TOP`
`TOPSECRET`
`UNCLASSIFIED`
`UNKNOWN`

Method Summary
`boolean` | `dontpass(Clearance thanThis)` Does this clearance not pass the given clearance? This is just the reverse logic of pass(Clearance).
`boolean` | `pass(Clearance thanThis)` Does this clearance pass the given clearance?
`protected int` | `value()`
`static Clearance` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Clearance[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FLOOR

    public static final Clearance FLOOR

  Security level definition for a process is the CLEARANCE.

       The following defines the named and numbered values for the levels.

       name                      value

       FLOOR                     0

       UNKNOWN                   1000

       UNCLASSIFIED              2000

       PUBLIC                    3000

       PRIVATE                   4000

       OFFICIAL                  4500

       SENSITIVE                 5000

       SECRET                    6000

       PRIVILEGED                6500

       TOPSECRET                 7000

       RESTRICTED                7500

       EXCLUSIVE                 8000

       ELITE                     8500

       EXTREME                   9000

       TOP                       10000

### UNKNOWN

    public static final Clearance UNKNOWN

### UNCLASSIFIED

    public static final Clearance UNCLASSIFIED

### PUBLIC

    public static final Clearance PUBLIC

### PRIVATE

    public static final Clearance PRIVATE

### OFFICIAL

    public static final Clearance OFFICIAL

### SENSITIVE

    public static final Clearance SENSITIVE

### SECRET

    public static final Clearance SECRET

### PRIVILEGED

    public static final Clearance PRIVILEGED

### TOPSECRET

    public static final Clearance TOPSECRET

### RESTRICTED

    public static final Clearance RESTRICTED

### EXCLUSIVE

    public static final Clearance EXCLUSIVE

### ELITE

    public static final Clearance ELITE

### EXTREME

    public static final Clearance EXTREME

### TOP

    public static final Clearance TOP

Method Detail

### values

    public static Clearance[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Clearance c : Clearance.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Clearance valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### value

    protected final int value()

### pass

    public boolean pass(Clearance thanThis)

  Does this clearance pass the given clearance?

  Parameters:
    `thanThis` - the given clearance.
  Returns:
    true if it passes, otherwise false.

### dontpass

    public boolean dontpass(Clearance thanThis)

  Does this clearance not pass the given clearance? This is just the reverse logic of pass(Clearance).

  Parameters:
    `thanThis` - the given clearance.
  Returns:
    false if it passes, otherwise true.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Things.